### Method

# Clutter KeyframeTransition set_modes

#### Declaration [src]

    void
    clutter_keyframe_transition_set_modes (
      ClutterKeyframeTransition* transition,
      guint n_modes,
      const ClutterAnimationMode* modes
    )

#### Description [src]

Sets the easing modes for each key frame inside `transition`.

If `transition` does not hold any key frame, `n_modes` key frames will be created; if `transition` already has key frames, `modes` must have at least as many elements as the number of key frames.

#### Parameters

`n_modes`

  Type: `guint`

  The number of easing modes.

`modes`

  Type: An array of `ClutterAnimationMode`

  An array of easing modes, one for each key frame.

  The length of the array is specified in the `n_modes` argument.
  The data is owned by the caller of the method.